Reply to pending question request
Answer a pending question request owned by a session.
POST
/api/session/{sessionID}/question/{requestID}/replyPath parameters
sessionIDobjectrequiredrequestIDobjectrequiredRequest body
requiredapplication/jsonanswersQuestionV2.Answer[]requiredUser answers in order of questions (each answer is an array of selected labels)
Responses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | QuestionNotFoundError
Any of:
QuestionNotFoundError
_tagstringrequiredAllowed:
QuestionNotFoundErrorrequestIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reply" \
-H "Content-Type: application/json" \
-d '{
"answers": [
[
"string"
]
]
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reply", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"answers": [
[
"string"
]
]
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reply",
headers={
"Content-Type": "application/json"
},
json={
"answers": [
[
"string"
]
]
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "QuestionNotFoundError",
"requestID": "string",
"message": "string"
}